/*
 * generated by Xtext 2.27.0
 */
package no.hal.quiz.xtext.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import no.hal.quiz.xtext.QuizDSLRuntimeModule;
import no.hal.quiz.xtext.QuizDSLStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class QuizDSLIdeSetup extends QuizDSLStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new QuizDSLRuntimeModule(), new QuizDSLIdeModule()));
	}
	
}
